Subject: [Ksummit-2013-discuss] ARM topic: Is DT on ARM the solution, or is there something better?

From: [email-masked] (Richard Cochran)
Date: Wed, 23 Oct 2013 20:05:08 +0200

On Wed, Oct 23, 2013 at 01:25:58PM -0400, Matt Porter wrote:
> No, please, no!

On the one hand, I agree with you that the arago work is kind of scary
to look at, but on the other hand, it is being used in tons of beagle
bones and other devices. It is a success, of sorts.

I know of commercial products shipping with the arago kernel (not
mine, of course). The chip vendors have a legitimate need to offer
*something* that boots on their new devices. The BSP development has
to be done quickly (and, more importantly, it cannot cost much
either).

There is really nothing wrong with non-mainline trees. If they serve
someone's needs, then they do get used.

Thanks,
Richard